package cn.iocoder.yudao.module.system.service.biz;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.assessment.ElderlyAssessmentPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.assessment.ElderlyAssessmentRespVO;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.assessment.ElderlyAssessmentSaveReqVO;

public interface ElderlyEquilibriumService {

    Long create(ElderlyAssessmentSaveReqVO createReqVO);

    void update(ElderlyAssessmentSaveReqVO updateReqVO);

    void delete(Long id);

    ElderlyAssessmentRespVO get(Long id);

    PageResult<ElderlyAssessmentRespVO> getPage(ElderlyAssessmentPageReqVO pageReqVO);
}

